Skip to main content
GET
/
v1
/
channel_threads
curl --location --request GET 'https://api.stateset.com/v1/channelthread' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
    "id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
}'

{
    "data": {
        "message": {
            "id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
            "body": "Hello World",
            "created_at": "2021-01-01T00:00:00.000000Z",
            "date": "2021-01-01",
            "deliveredReceipt": true,
            "from": "user1",
            "fromMe": true,
            "is_public": true,
            "messageNumber": 1,
            "sentReceipt": true,
            "time": "00:00:00",
            "timestamp": "2021-01-01T00:00:00.000000Z",
            "to": "user2",
            "user_id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
            "username": "user1"
        }
    }
}


Documentation Index

Fetch the complete documentation index at: https://docs.stateset.com/llms.txt

Use this file to discover all available pages before exploring further.

Body

id
string
This is the id of the channel thread.

Response

id
string
This is the id of the channel_thread
name
string
This is the name of the channel_thread
uuid
string
This is the uuid of the channel_thread
user_id
string
This is the user_id of the channel_thread
curl --location --request GET 'https://api.stateset.com/v1/channelthread' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
    "id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
}'

{
    "data": {
        "message": {
            "id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
            "body": "Hello World",
            "created_at": "2021-01-01T00:00:00.000000Z",
            "date": "2021-01-01",
            "deliveredReceipt": true,
            "from": "user1",
            "fromMe": true,
            "is_public": true,
            "messageNumber": 1,
            "sentReceipt": true,
            "time": "00:00:00",
            "timestamp": "2021-01-01T00:00:00.000000Z",
            "to": "user2",
            "user_id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
            "username": "user1"
        }
    }
}